Requests you can copy and run. Each one returns live data from the API.
Select the programming language you want to display the code examples in.
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&basement_is_walkout_eq=true&city=calgary&country_abbreviation=ca&page=1&property_type_eq=House&province_abbreviation=ab&results_per_page=5&select=address,basement_has_entrance,basement_is_walkout,basement_type,interior_sq_m,estimate_list_price,estimate_rent_monthly"
const houski_recipe_data = async (): Promise<PropertiesResponse> => {
// You must copy the PropertiesResponse type declarations from the
// Houski API documentation to strongly type the response
const url = new URL('https://api.houski.ca/properties');
url.searchParams.set('api_key', 'YOUR_API_KEY');
url.searchParams.set('basement_is_walkout_eq', 'true');
url.searchParams.set('city', 'calgary');
url.searchParams.set('country_abbreviation', 'ca');
url.searchParams.set('page', '1');
url.searchParams.set('property_type_eq', 'House');
url.searchParams.set('province_abbreviation', 'ab');
url.searchParams.set('results_per_page', '5');
url.searchParams.set('select', 'address,basement_has_entrance,basement_is_walkout,basement_type,interior_sq_m,estimate_list_price,estimate_rent_monthly');
const response = await fetch(url);
const data = await response.json();
return data;
}
(async () => {
let data: PropertiesResponse = await houski_recipe_data();
// Log the response
console.log(data);
})();
{
"cache_hit": false,
"cost_cents": 3.1,
"data": [
{
"address": "54 Rowmont Link NW",
"basement_has_entrance": true,
"basement_is_walkout": true,
"basement_type": "Full",
"estimate_list_price": 820503,
"estimate_rent_monthly": 2852,
"interior_sq_m": 169.45374,
"property_id": "1055f97323e53f25"
},
{
"address": "40 Rowmont Common NW",
"basement_has_entrance": true,
"basement_is_walkout": true,
"basement_type": "Full",
"estimate_list_price": 720090,
"estimate_rent_monthly": 2956,
"interior_sq_m": 173.07692,
"property_id": "11d2132629e36a28"
},
{
"address": "16 Rowmont Common NW",
"basement_has_entrance": true,
"basement_is_walkout": true,
"basement_type": "Full",
"estimate_list_price": 774024,
"estimate_rent_monthly": 3034,
"interior_sq_m": 173.07692,
"property_id": "11f8d3671079fb5e"
},
{
"address": "435 Crimson Ridge Place NW",
"basement_has_entrance": true,
"basement_is_walkout": true,
"basement_type": "Full",
"estimate_list_price": 795667,
"estimate_rent_monthly": 2930,
"interior_sq_m": 185.43292,
"property_id": "1209fe3057284c96"
},
{
"address": "288 Crimson Ridge Place NW",
"basement_has_entrance": true,
"basement_is_walkout": true,
"basement_type": "Full",
"estimate_list_price": 994391,
"estimate_rent_monthly": 3184,
"interior_sq_m": 185.43292,
"property_id": "1277c8e032dd2f50"
}
],
"error": "",
"pagination": {
"current_page": 1,
"has_next_page": true,
"has_previous_page": false,
"page_total": 64894
},
"price_quote": false,
"result_total": 324470,
"time_ms": 37,
"ui_info": {
"city": "Calgary",
"city_id": "6ec95b53075d062c",
"city_link": "ca/ab/calgary",
"city_slug": "calgary",
"country": "Canada",
"country_abbreviation": "CA",
"country_abbreviation_id": "9ace2b6431b7f1be",
"country_abbreviation_link": "ca",
"country_slug": "canada",
"province": "Alberta",
"province_abbreviation": "AB",
"province_abbreviation_id": "aae1f05a0f89d2c7",
"province_abbreviation_link": "ca/ab",
"province_slug": "alberta"
}
}